is_graph_connected {DiagrammeR} | R Documentation

## Is the graph a connected graph?

### Description

Determines whether a graph is a connected graph.

### Usage

    is_graph_connected(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a logical value.

### Examples

    # Create a random graph using the
    # `add_gnm_graph()` function; this
    # graph is not connected
    create_graph() %>%
      add_gnm_graph(
        n = 15,
        m = 10,
        set_seed = 23) %>%
      is_graph_connected()

    # Create another random graph;
    # this graph is connected
    create_graph() %>%
      add_gnm_graph(
        n = 10,
        m = 15,
        set_seed = 23) %>%
      is_graph_connected()

[Package DiagrammeR version 1.0.1 Index]